Summary: Major mode for editing GCL programs on Emacsen.
Name: elisp-gcl

%global gcl_version 2.5.3
%global	emacs_version  21.3
%global	xemacs_version 21.4
%global momorel 1
Version: %{gcl_version}
Release: %{momorel}m
License: GPL
Group: Applications/Editors
URL: http://www.gnu.org/software/gcl/gcl.html

%NoSource 0 ftp://ftp.gnu.org/pub/gnu/gcl/gcl-%{version}.tar.gz 42c24f9a8d4f823c7c411cbf77edb36f
Source1: elisp-gcl-batch-byte-compile.el

Patch0: elisp-gcl-2.5.3-sshell.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: emacs >= %{emacs_version}
BuildRequires: xemacs >= %{xemacs_version}
Requires: gcl == %{gcl_version}

%description
GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
implemented in C, and complying mostly with the standard set forth in
the book "Common Lisp, the Language I".  It attempts to strike a
useful middle ground in performance and portability from its design
around C.

This package contains the Lisp system itself.  Documentation is
provided in the gcl-doc package.

%package -n gcl-emacs
Summary: Major mode for editing GCL programs on Emacs.
Group: Applications/Editors
Requires: %{name} == %{version}-%{release}
Requires: emacs >= %{emacs_version}

%description -n gcl-emacs
GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
implemented in C, and complying mostly with the standard set forth in
the book "Common Lisp, the Language I".  It attempts to strike a
useful middle ground in performance and portability from its design
around C.

This package contains the Lisp system itself.  Documentation is
provided in the gcl-doc package.

%package -n gcl-xemacs
Summary: Major mode for editing GCL programs on XEmacs.
Group: Applications/Editors
Requires: %{name} == %{version}-%{release}
Requires: xemacs >= %{xemacs_version}

%description -n gcl-xemacs
GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
implemented in C, and complying mostly with the standard set forth in
the book "Common Lisp, the Language I".  It attempts to strike a
useful middle ground in performance and portability from its design
around C.

This package contains the Lisp system itself.  Documentation is
provided in the gcl-doc package.

%prep
%setup -q -n gcl-%{gcl_version}/elisp

%patch0 -p1

%__chmod -x *

%build
%__rm -rf emacs xemacs
%__mkdir emacs xemacs

## Emacs
for i in *.el; do
  emacs -batch -q -no-site-file -l %{S:1} ${i} || exit 1
  %__mv ${i}c emacs
done

## XEmacs
for i in *.el; do
  xemacs -batch -q -no-site-file -l %{S:1} ${i} || exit 1
  %__mv ${i}c xemacs
done

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

## Emacs
%__mkdir_p %{buildroot}%{_datadir}/emacs/site-lisp/gcl
%__install -m 0644 *.el %{buildroot}%{_datadir}/emacs/site-lisp/gcl
%__install -m 0644 emacs/*.elc %{buildroot}%{_datadir}/emacs/site-lisp/gcl

## XEmacs
%__mkdir_p %{buildroot}%{_libdir}/xemacs/site-lisp/gcl
%__install -m 0644 *.el %{buildroot}%{_libdir}/xemacs/site-lisp/gcl
%__install -m 0644 xemacs/*.elc %{buildroot}%{_libdir}/xemacs/site-lisp/gcl

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc readme

%files -n gcl-emacs
%defattr(-, root, root)
%{_datadir}/emacs/site-lisp/gcl

%files -n gcl-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-lisp/gcl

%changelog
* Mon Dec 29 2003 Kenta MURATA <muraken2@nifty.com>
- (2.5.3-1m)
- first spec file.
